Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509714 - Listing system keyring does not work
Summary: Listing system keyring does not work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: keyutils
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 23:07 UTC by Peter Backes
Modified: 2018-10-17 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:41:50 UTC


Attachments (Terms of Use)

Description Peter Backes 2017-11-05 23:07:45 UTC
Description of problem:
https://docs-old.fedoraproject.org/en-US/Fedora/26/html/System_Administrators_Guide/sect-loading-signed-kernel-module.html says "4.  After the system reboots, verify the keys on the system key ring again.

~]# keyctl list %:.system_keyring"

This does not work.

Version-Release number of selected component (if applicable):
keyutils-1.5.10-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. keyctl list %:.system_keyring

Actual results:
Can't find 'keyring:.system_keyring'

Expected results:
Keyring is shown

Comment 1 David Howells 2017-11-06 09:00:28 UTC
Can you do: cat /proc/keys | grep keyring

Comment 2 David Howells 2017-11-06 09:03:13 UTC
Also can you give the kernel version?

I suspect the problem is that the .system_keyring no longer exists as it has been replaced by .builtin_trusted_keys and .secondary_trusted_keys

Comment 3 Peter Backes 2017-11-06 09:43:42 UTC
(In reply to David Howells from comment #1)
> Can you do: cat /proc/keys | grep keyring

% sudo grep keyring /proc/keys
00434412 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
011f29c7 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
01d6da0a I--Q---    12 perm 3f030000     0     0 keyring   _ses: 1
05837081 I--Q---     4 perm 3f030000     0     0 keyring   _ses: 1
0698e407 I--Q---     3 perm 3f030000     0     0 keyring   _ses: 1
0b925eb3 I--Q---     4 perm 3f030000     0     0 keyring   _ses: 1
0bf1d1c3 I------     1 perm 1f030000     0     0 keyring   .persistent_register: 2
0e8ca139 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
0fb91ff7 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
11d4d033 I--Q---     3 perm 3f030000     0     0 keyring   _ses: 1
120f20c0 I--Q---     4 perm 3f030000     0     0 keyring   _ses: 1
12a4fcf5 I--Q---     4 perm 3f030000     0     0 keyring   _ses: 1
1450f9c6 I--Q---     6 perm 3f030000     0     0 keyring   _ses: 1
1835b689 I--Q---     8 perm 3f030000     0     0 keyring   _ses: 1
1cd0d12d I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
1e3dcd2e I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
1f263b12 I--Q---     1 perm 1f3f0000     0 65534 keyring   _uid_ses.0: 1
1f68ebdf I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
23087956 I------     1 perm 1f0f0000     0     0 keyring   .secondary_trusted_keys: 5
24ab191e I------     2 perm 1f0b0000     0     0 keyring   .builtin_trusted_keys: 1
2566491a I--Q---     3 perm 1f3f0000  1001 65534 keyring   _uid.1001: empty
29e64dfc I--Q---     3 perm 3f030000     0     0 keyring   _ses: 1
2cb29f05 I--Q---     4 perm 3f030000     0     0 keyring   _ses: 1
2d56e96f I------     1 perm 1f0b0000     0     0 keyring   .blacklist: 77
2dd87ab7 I--Q---     3 perm 3f030000     0     0 keyring   _ses: 1
2ecded26 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
2f4617b0 I--Q---     6 perm 3f030000     0     0 keyring   _ses: 1
2f474bb1 I--Q---     2 perm 3f030000     0     0 keyring   _ses: 1
2fedc697 I--Q---    10 perm 3f030000     0     0 keyring   _ses: 1
3031c261 I--Q---     3 perm 3f030000     0     0 keyring   _ses: 1
31c6298f I--Q---     2 perm 1f3f0000     0 65534 keyring   _uid.0: 1
31e7e901 I--Q---   161 perm 3f030000  1001   100 keyring   _ses: 1
328b4c8f I--Q---     5 perm 3f030000     0     0 keyring   _ses: 1


(In reply to David Howells from comment #2)
> Also can you give the kernel version?

kernel-4.13.8-200.fc26.x86_64

> I suspect the problem is that the .system_keyring no longer exists as it has
> been replaced by .builtin_trusted_keys and .secondary_trusted_keys

% sudo keyctl list %:.secondary_trusted_keys

and 

% sudo keyctl list %:.builtin_trusted_keys

works...

Comment 4 Peter "Pessoft" Kolínek 2018-02-21 22:49:31 UTC
Also applies for Fedora 27 and its sysadmin documentation ( https://docs.fedoraproject.org/f27/system-administrators-guide/kernel-module-driver-configuration/Working_with_Kernel_Modules.html ), which mentions usage of:

keyctl list %:.system_keyring 

but this no longer works.

Comment 5 Fedora End Of Life 2018-05-03 08:15:50 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 11:41:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Maciej Sitarz 2018-06-29 14:34:26 UTC
This bug is still valid, but rather should be assigned to documentation.

Please reopen if possible and assign to Fedora 28 documentation.


Note You need to log in before you can comment on or make changes to this bug.